8086:0166 [Dell XPS 13 L322X] backlight stopped working after update 3.8.0-18.28

Bug #1169376 reported by Adrian Patrascu on 2013-04-16
180
This bug affects 32 people
Affects Status Importance Assigned to Milestone
Dell Sputnik
Undecided
Kamal Mostafa
linux (Ubuntu)
Undecided
Unassigned
Nominated for Raring by Kamal Mostafa

Bug Description

I'm on 13.04 beta 2 and I've been updating daily. After today's update, I was asked to restart and, after the restart, the backlight stopped working. What's worse is that the backlight is stuck in the lowest possible setting. I can barely see enough to type out this bug report. This is not a hardware problem. When I restart the computer the backlight turns on property but burns off when the Ubuntu encryption screen comes up (I'm using full disk encryption). Please fix this as soon as possible.

XPS 13 version: L322x
Display version: FHD (1080p)
---
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: cr45h 1901 F.... pulseaudio
DistroRelease: Ubuntu 13.04
HibernationDevice: RESUME=UUID=a5d2ab8b-a068-4a69-95a6-b4e955b290f5
InstallationDate: Installed on 2013-04-08 (9 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130402.1)
MachineType: Dell Inc. Dell System XPS L322X
MarkForUpload: True
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-18-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-18-generic N/A
 linux-backports-modules-3.8.0-18-generic N/A
 linux-firmware 1.105
Tags: raring
Uname: Linux 3.8.0-18-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 01/22/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 0PJHXN
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd01/22/2013:svnDellInc.:pnDellSystemXPSL322X:pvr:rvnDellInc.:rn0PJHXN:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS L322X
dmi.sys.vendor: Dell Inc.

One more thing, the backlight buttons work and the corresponding bar on ths screen moves up and down, but there is no actual change in the backlight (i.e. it remains at it's lowest setting at all times).

Kamal Mostafa (kamalmostafa) wrote :

This problem affects only the new 1080p model of XPS13.

It was introduced in 3.8.0-18.28 by this fix for another regression, LP: #1162026:

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: quirk no PCH_PWM_ENABLE for Dell XPS13
    backlight
    - LP: #1162026, #1163720

Changed in linux (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: New → Confirmed
Changed in dell-sputnik:
status: New → Confirmed
assignee: nobody → Kamal Mostafa (kamalmostafa)
summary: - Display backlight stopped working after update
+ XPS13 backlight stopped working after update 3.8.0-18.28

@Adrian, thanks for reporting this problem. I think I understand the root cause (which was my backlight fix for the 780p XPS13 models). On your 1080p XPS13, please run the command "apport-collect 1169376" in a terminal window, which will capture the hardware profile of that model and post it to this bug report. I'll use that data to work on a fix which doesn't break the 1080p model.

apport information

tags: added: apport-collected raring
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Ok. I had to install 'python-apport' and 'python-launchpadlib' but I got it to work.

Looks like the results auto-posted so I hope that is all you need.

Also, is there a temporary fix I can implement now? I really need to be able to use my computer again.

Marco Cè (marco89-7) wrote :

I too have this problem with a XPS 13 1080p. If necessary, I can provide information or test patched kernels.
A temporary workaround for me is to manually select kernel 3.8.0-17 at boot instead of 3.8.0-18.

Thank you Marco. That worked. I'll use 3.8.0-17 until they fix -18.

Kamal Mostafa (kamalmostafa) wrote :

@Adrian and Marco-

I have prepared a test kernel which should restore the backlight behavior on the XPS13-FHD. Please install this kernel and report your results.

To install: Download the two "linux*.deb" files at http://people.canonical.com/~kamal/lp1169376/ then, in a terminal window, change to the directory where you saved them, and install them together by issuing the command 'sudo dpkg -i linux*.deb'. Reboot, then verify that your backlight behavior is restored (and that the command 'uname -a' includes the string "#28+lp1169376" to ensure that you're running the test kernel).

Changed in linux (Ubuntu):
status: Confirmed → In Progress

Done.

----------------
$ uname -a
Linux cr45h-pc 3.8.0-18-generic #28+lp1169376 SMP Fri Apr 19 00:33:04 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
----------------

It works. The backlight is back on and the function keys (used to change the backlight level) work as well. Thanks for the quick fix.

One last question: Once this fix is incorporated into the main branch, is there a simple way for me to remove the test kernels?

Koos (k-meijering) wrote :

Hi

I've also tested this build of the kernel and I can confirm it is working.
------
$ uname -a
Linux XPS-L322X 3.8.0-18-generic #28+lp1169376 SMP Fri Apr 19 00:33:04 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
------

answer on Adrian's question
search for the installed kernels:

$ dpkg --get-selections | grep linux
libselinux1:amd64 install
libselinux1:i386 install
linux-firmware install
linux-generic install
linux-headers-3.8.0-19 install
linux-headers-3.8.0-19-generic install
linux-headers-generic install
linux-image-3.8.0-18-generic install
linux-image-3.8.0-19-generic install
linux-image-extra-3.8.0-18-generic install
linux-image-extra-3.8.0-19-generic install
linux-image-generic install
linux-libc-dev:amd64 install
linux-sound-base install
pptp-linux install
syslinux install
syslinux-common install
syslinux-legacy install
util-linux install

now you see the installed kernels.
In the case you would remove the 3.8.0-18 kernel the following command will do it

$ dpkg --get-selections | grep linux
libselinux1:amd64 install
libselinux1:i386 install
linux-firmware install
linux-generic install
linux-headers-3.8.0-19 install
linux-headers-3.8.0-19-generic install
linux-headers-generic install
linux-image-3.8.0-18-generic install
linux-image-3.8.0-19-generic install
linux-image-extra-3.8.0-18-generic install
linux-image-extra-3.8.0-19-generic install
linux-image-generic install
linux-libc-dev:amd64 install
linux-sound-base install
pptp-linux install
syslinux install
syslinux-common install
syslinux-legacy install
util-linux install

in the case you would like to remove the 3.8.0-18 version the following command will do it:
$ sudo dpkg --purge linux-image-3.8.0-18-generic linux-image-extra-3.8.0-18-generic

Kamal Mostafa (kamalmostafa) wrote :

The fix for this will appear in the next stock Ubuntu Raring kernel version 3.8.0-20.30.

The current Raring kernel version 3.8.0-19.29 (just released) does not yet contain the fix, so I have updated the patched test kernel at http://people.canonical.com/~kamal/lp1169376/ with a -19 based replacement (see instructions in comment #23).

Later, after upgrading to the stock Raring 3.8.0-20.30 kernel, you can remove the test kernels with the command "sudo apt-get remove linux-image-3.8.0-18-generic" (and/or "-19-generic"), or just leave them installed as backup kernels.

Download full text (3.4 KiB)

Awesome. Thanks again for the quick fix.

On Fri, Apr 19, 2013 at 2:40 PM, Kamal Mostafa <email address hidden> wrote:

> The fix for this will appear in the next stock Ubuntu Raring kernel
> version 3.8.0-20.30.
>
> The current Raring kernel version 3.8.0-19.29 (just released) does not
> yet contain the fix, so I have updated the patched test kernel at
> http://people.canonical.com/~kamal/lp1169376/ with a -19 based
> replacement (see instructions in comment #23).
>
> Later, after upgrading to the stock Raring 3.8.0-20.30 kernel, you can
> remove the test kernels with the command "sudo apt-get remove linux-
> image-3.8.0-18-generic" (and/or "-19-generic"), or just leave them
> installed as backup kernels.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1169376
>
> Title:
> XPS13 backlight stopped working after update 3.8.0-18.28
>
> Status in Dell Sputnik:
> Confirmed
> Status in “linux” package in Ubuntu:
> In Progress
>
> Bug description:
> I'm on 13.04 beta 2 and I've been updating daily. After today's
> update, I was asked to restart and, after the restart, the backlight
> stopped working. What's worse is that the backlight is stuck in the
> lowest possible setting. I can barely see enough to type out this bug
> report. This is not a hardware problem. When I restart the computer
> the backlight turns on property but burns off when the Ubuntu
> encryption screen comes up (I'm using full disk encryption). Please
> fix this as soon as possible.
>
> XPS 13 version: L322x
> Display version: FHD (1080p)
> ---
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: cr45h 1901 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=a5d2ab8b-a068-4a69-95a6-b4e955b290f5
> InstallationDate: Installed on 2013-04-08 (9 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130402.1)
> MachineType: Dell Inc. Dell System XPS L322X
> MarkForUpload: True
> Package: linux (not installed)
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-18-generic
> root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-18-generic N/A
> linux-backports-modules-3.8.0-18-generic N/A
> linux-firmware 1.105
> Tags: raring
> Uname: Linux 3.8.0-18-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 01/22/2013
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A07
> dmi.board.name: 0PJHXN
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: 0.1
> dmi.modalias:
> dmi:bvnDellInc.:bvrA07:bd01/22/2013:svn...

Read more...

1 comments hidden view all 176 comments
Gorgonilla (lviggiani) wrote :

Same issue here. Fixed by following instructions from post #23.
Thanks!

Thanks again to Kamal at Canonical for the quick response. This bug
probably affected a lot more people than just the ones posting here.

Kamal,

I just realized that my backlight is stuck at 100%. The Function keys move the bar but the backlight does not actually adjust. Can you look into this one more time?

Thanks!

Robert Hooker (sarvatt) on 2013-04-29
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
LJ (the-mr-lj-88) wrote :

I just tested 3.9.0-030900-generic on my XPS12 and the bug occurs again. On the XPS 12 changing the brightness with the hotkeys always works, but on the login-screen the brightness is set to level 0 (=backlight off)

Kamal Mostafa (kamalmostafa) wrote :

Update on this issue: An unrelated high-priority security fix prompted the release of a new Ubuntu 13.04 (Raring) kernel version (3.8.0-19.30) which does not yet contain the patch for this bug. The patch for this bug is now scheduled for inclusion in the next Raring kernel version (3.8.0-20.something) in the next couple of weeks. I have updated my interim fix kernel accordingly: XPS13-FHD users should download and install the pair of linux packages from http://people.canonical.com/~kamal/lp1169376/ by using the instructions described in comment #23.

@Adrian, if your XPS13-FHD backlight is now for some reason stuck again, please verify that you're still running an interim fix kernel. Check that your 'uname -a' output contains the string "lp1169376". (And do you have any idea what might have changed between your good result noted in comment #24?)

@LJ, note that this bug report and the patch being discussed here is relevant only for the XPS13-FHD (not the XPS12) running on the stock Raring 3.8.0-based kernel. The problem you're describing is (must be) a separate issue. If you experience it on a standard Ubuntu kernel, please file a bug here. If the problem only occurs in mainline, please file a bug on bugzilla.kernel.org.

Richard Bluhm (richard-bluhm) wrote :

I had the same issue on a XPS13 FHD, applied the latest patched kernel and now the sound device only shows "dummy output". No sound. May this be related to the patch? Before the backlight was making issues but the sound worked fine.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-raring
Richard Bluhm (richard-bluhm) wrote :

tried Linux xps13 3.8.0-20-generic #31-Ubuntu SMP from the proposed ppa, backlight issues are back. not fixed!

Koos (k-meijering) wrote :

Running now the kernel form proposed and the backlight is working

$ uname -a
Linux XPS-L322X 3.8.0-20-generic #31-Ubuntu SMP Mon May 6 17:03:32 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I say "fixed"

Steven Pollmann (spollmann) wrote :

I can also confirm that the backlight control is working as well.
My Machine: XPS 13 (FHD 1080p i7, 256GB, 8GB RAM)

Kernel: 3.8.0-20-generic #31-Ubuntu SMP Mon May 6 17:03:32 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

As an aside, I have noticed, however, that the "auto-dim" doesn't seem to work still. (The auto-dim feature where the screen and keyboard dim when the computer idle for a minute or so . The keyboard backlight does autodim, however the screen does dim at all)

Richard Bluhm (richard-bluhm) wrote :

I tried again.

uname -a
Linux xps13 3.8.0-20-generic #31-Ubuntu SMP Mon May 6 17:03:32 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I happily join the others and say "fixed"!

Linux kraken3 3.8.0-20-generic #31-Ubuntu SMP Mon May 6 17:03:32 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Works even for my machine. Problem solved.

tags: added: verification-done-raring
removed: verification-needed-raring
Changed in dell-sputnik:
status: Confirmed → Fix Committed
Marco Cè (marco89-7) on 2013-05-16
Changed in dell-sputnik:
status: Fix Committed → Confirmed
Changed in linux (Ubuntu):
status: Fix Committed → Confirmed
no longer affects: linux
tags: added: patch
tags: added: regression-update
tags: added: bios-outdated-a09
Changed in linux (Ubuntu):
assignee: Kamal Mostafa (kamalmostafa) → nobody
status: Confirmed → Incomplete
96 comments hidden view all 176 comments

I assume you don't have a xps13 full HD as 3.8.0-30.44 makes the backlight
work in my xps13 full HD (it stopped working after 3.8.0-20.31).
On 5 Sep 2013 21:31, "Koos" <email address hidden> wrote:

> With the latest update, 3.8.0-30.44, the back light stop working again.
> In the change log I saw that the fix which was added in 3.8.0-20.31 is
> removed.
>
> The latest kernel makes the XPS 13 unusable.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1169376
>
> Title:
> XPS13 backlight stopped working after update 3.8.0-18.28
>
> Status in Dell Sputnik:
> Confirmed
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> I'm on 13.04 beta 2 and I've been updating daily. After today's
> update, I was asked to restart and, after the restart, the backlight
> stopped working. What's worse is that the backlight is stuck in the
> lowest possible setting. I can barely see enough to type out this bug
> report. This is not a hardware problem. When I restart the computer
> the backlight turns on property but burns off when the Ubuntu
> encryption screen comes up (I'm using full disk encryption). Please
> fix this as soon as possible.
>
> XPS 13 version: L322x
> Display version: FHD (1080p)
> ---
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: cr45h 1901 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=a5d2ab8b-a068-4a69-95a6-b4e955b290f5
> InstallationDate: Installed on 2013-04-08 (9 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130402.1)
> MachineType: Dell Inc. Dell System XPS L322X
> MarkForUpload: True
> Package: linux (not installed)
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-18-generic
> root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-18-generic N/A
> linux-backports-modules-3.8.0-18-generic N/A
> linux-firmware 1.105
> Tags: raring
> Uname: Linux 3.8.0-18-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 01/22/2013
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A07
> dmi.board.name: 0PJHXN
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: 0.1
> dmi.modalias:
> dmi:bvnDellInc.:bvrA07:bd01/22/2013:svnDellInc.:pnDellSystemXPSL322X:pvr:rvnDellInc.:rn0PJHXN:rvrA00:cvnDellInc.:ct8:cvr0.1:
> dmi.product.name: Dell System XPS L322X
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1169376/+subscriptions
>

@Koos on the contrary 3.8.0-30-44 fixed my backlight. I have the 1080p version.. Yours also?

Koos (k-meijering) wrote :

I have the DELl XPS 13 (L322X) Developer edition, that is the 1080p version, I run it in UEFI boot mode.
it has the latest bios verion A09.

martin (joliclic) wrote :

me too, like Koos, I have the DELl XPS 13, with the 1080 display, and the back light stop working with the kernel 3.8.0-30-44 .
I have to start with the previous kernel (but the CTRL+ F4/F5 does'nt work, and brightness is always max)

I have the Dell XPS 13 (L322X) 1080 bios version A09 and I run it in legacy
boot mode. The back light control is working for me.

On 5 Sep 2013 21:55, "Koos" <email address hidden> wrote:

> I have the DELl XPS 13 (L322X) Developer edition, that is the 1080p
> version, I run it in UEFI boot mode.
> it has the latest bios verion A09.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1169376
>
> Title:
> XPS13 backlight stopped working after update 3.8.0-18.28
>
> Status in Dell Sputnik:
> Confirmed
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> I'm on 13.04 beta 2 and I've been updating daily. After today's
> update, I was asked to restart and, after the restart, the backlight
> stopped working. What's worse is that the backlight is stuck in the
> lowest possible setting. I can barely see enough to type out this bug
> report. This is not a hardware problem. When I restart the computer
> the backlight turns on property but burns off when the Ubuntu
> encryption screen comes up (I'm using full disk encryption). Please
> fix this as soon as possible.
>
> XPS 13 version: L322x
> Display version: FHD (1080p)
> ---
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: cr45h 1901 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=a5d2ab8b-a068-4a69-95a6-b4e955b290f5
> InstallationDate: Installed on 2013-04-08 (9 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64
> (20130402.1)
> MachineType: Dell Inc. Dell System XPS L322X
> MarkForUpload: True
> Package: linux (not installed)
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-18-generic
> root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-18-generic N/A
> linux-backports-modules-3.8.0-18-generic N/A
> linux-firmware 1.105
> Tags: raring
> Uname: Linux 3.8.0-18-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 01/22/2013
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A07
> dmi.board.name: 0PJHXN
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: 0.1
> dmi.modalias:
> dmi:bvnDellInc.:bvrA07:bd01/22/2013:svnDellInc.:pnDellSystemXPSL322X:pvr:rvnDellInc.:rn0PJHXN:rvrA00:cvnDellInc.:ct8:cvr0.1:
> dmi.product.name: Dell System XPS L322X
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1169376/+subscriptions
>

@Koos I have almost the exact same setup, except not sure about the UEFI boot mode. I have the developer edition and installed xubuntu from a flash drive. Is your backlight completely off or just the controls not work? The controls were the problem for me: before 3.8.0-30-44 the backlight was always full brightness.

L322X, 1080p, A08

summary: - XPS13 backlight stopped working after update 3.8.0-18.28
+ 8086:0166 [Dell XPS 13 L322X] backlight stopped working after update
+ 3.8.0-18.28
martin (joliclic) wrote :

there's an error in my previous report.

- kernel 3.8.0-29 : everything ok, brightness is adjustable, with CTRL+F4/F5 or via a XFCE widget

- kernel 3.8.0-30 : nothing work, brightness always minimum, CTRL+F4/F5 doesn't work, XFCE widget doesn't work.

My laptop is a Dell XPS 13 with the 1080p display, BIOS A09, UEFI boot.

me@mylaptop:~$ uname -a
Linux mylaptop 3.8.0-29-generic #42-Ubuntu SMP Tue Aug 13 19:40:39 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Daniele Dellafiore (ildella) wrote :

same here on XPS 13
Linux slap 3.8.0-30-generic #44-Ubuntu SMP Thu Aug 22 20:52:24 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

last kernel worked fine, after update brightness always minimum, Fn F4/F5 does not change luminosity (just shows the progress bar change...)

There's a way to roll back to previous kernel?

Martin Flaska (flegy) wrote :

The same for me, xps13, full hd, booting from UEFI. Working well with previous kernel version (3.8.0-29-generic). After updating to the latest (3.8.0-30-generic) the problem is back again.

martin@flegy-nb:~$ uname -a
Linux flegy-nb 3.8.0-30-generic #44-Ubuntu SMP Thu Aug 22 20:52:24 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
martin@flegy-nb:~$ cat /etc/issue
Ubuntu 13.04 \n \l

When I am trying to change backlight (f4/f5) I see changes in

 /sys/class/backlight/intel_backlight/actual_brightness

but without any effect on the backlight

Martin Flaska (flegy) wrote :

... additional info to my previous comment:

after enabling "Load Legacy Option Rom" in BIOS, backlight is working ok (also when I use f4/f5 keys).

Bios version A08, model XPS L322X

ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: marcolem 2472 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=5539729c-9ba4-4e77-8432-2226c23d5f88
InstallationDate: Installed on 2013-05-12 (117 days ago)
InstallationMedia: Ubuntu-Server 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
MachineType: Dell Inc. Dell System XPS L322X
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-30-generic root=UUID=3a3f9607-b220-4fa4-90fc-ce0f9acf8eea ro quiet splash acpi_osi=Linux acpi_backlight=vendor vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-30-generic N/A
 linux-backports-modules-3.8.0-30-generic N/A
 linux-firmware 1.106
Tags: raring
Uname: Linux 3.8.0-30-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo users
dmi.bios.date: 05/15/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A09
dmi.board.name: 0PJHXN
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA09:bd05/15/2013:svnDellInc.:pnDellSystemXPSL322X:pvr:rvnDellInc.:rn0PJHXN:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS L322X
dmi.sys.vendor: Dell Inc.

16 comments hidden view all 176 comments

Same here with Ubuntu 13.04 on 3.8.0-30-generic Bios A09. Full brightness on Legacy, minimum brightness on UEFI. The control keys are not working at all.

I had acpi_backlight=vendor in grub. It works perfectly once I removed it.

Bib (bybeu) wrote :

Still work in 3.8.0-31-generic x86_64 A09 BIOS mode

tags: added: l322x
martin (joliclic) wrote :

and still NOT working in 3.8.0-31-generic x86_64 A09 UEFI mode

tags: removed: 1080p l322x
Bib (bybeu) wrote :

@Christopher M. Penalvch
Why did you remove the l322x 1080p tags? Didn't you see Adrian Patracu's report is for this very machine, what Kamal confirms in post #2. I added the l322x tag to clarify between backlight issues confusion with the l321x, because these 2 machines are called xps13 by Dell, what seems to me, regarding these issues, the source of confusion.

Bib, , if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

autra (autra) wrote :

Bib, the rule is one bug per hardware (even if everything indicates that it is the same issue) :-)

zmpeg (zmpeg) wrote :

3.8.0-30-44 fixed my backlight. Has been working fine since. I have the 1080p dell xps 13 (L322x). I'm using xUbuntu. How can I check if I have UEFI boot?

Jim Hodapp (jhodapp) wrote :

This seems to be fixed for me now as well.

povniet (kevin-georgy) wrote :

3.8.0-31-generic (don't know if it was before) solve the problem for me too, even with removing the fix described at #90

c0h1b4 (dwidman) wrote :

Bug is back on 3.14.0.
From 3.8.0 to 3.13.7 it was ok, now it is back. So please anyone help.

c0h1b4, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

c0h1b4 (dwidman) wrote :

Christopher,

thanks for your support, but I believe that this is a very well documented issue with remedies like typing "echo 0 > /sys/class/backlight/intel_backlight/brightness" on the command line solves.

The big issue is that after the computer resumes from suspend, the brightness go 100% and the keyboard commands for brightness can't change the brightness until the command I stated above is executed on terminal.

As I said, it was fixed in the kernels 3.8.0 - 3.13.7 and the bug was reintroduced on the kernel 3.14.0 and I can also inform that it is on kernel 3.14.1 and 3.15.rc1.

I will wait until Apr 17th to upgrade my Ubuntu 14.04 and see how it behaves. I will report the issues/success here. As for now, I am back to kernel 3.13.

Displaying first 40 and last 40 comments. View all 176 comments or add a comment.